List uplinks for a server model
List all the uplink models for a server model by sending a GET request to the /v1/locations/{location_id}/order_options/server_models/{server_model_id}/uplink_models endpoint. Location and server model IDs are mandatory path parameters.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
server_model_id | stringAn identifier of a server model. You can find a list of all server models by sending a request described in the Server Model section. |
Query Parameters
| Field | Details |
|---|---|
redundancy? | booleanThe |
type? | stringValue in: This type defines uplinks with |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1555/order_options/server_models/2490/uplink_models"[ { "id": 2492, "name": "Private 1 Gbps with redundancy", "type": "private", "speed": 1000, "redundancy": true }, { "id": 2493, "name": "Private 1 Gbps without redundancy", "type": "private", "speed": 1000, "redundancy": false }, { "id": 2494, "name": "Private 10 Gbps with redundancy", "type": "private", "speed": 10000, "redundancy": true }, { "id": 2495, "name": "Private 10 Gbps without redundancy", "type": "private", "speed": 10000, "redundancy": false }, { "id": 2496, "name": "Public 1 Gbps with redundancy", "type": "public", "speed": 1000, "redundancy": true }, { "id": 2497, "name": "Public 1 Gbps without redundancy", "type": "public", "speed": 1000, "redundancy": false }, { "id": 2498, "name": "Public 10 Gbps with redundancy", "type": "public", "speed": 10000, "redundancy": true }, { "id": 2499, "name": "Public 10 Gbps without redundancy", "type": "public", "speed": 10000, "redundancy": false }]